at.chipkarte.client.elgaad.soap

## Class CdaValue

- Object
- - at.chipkarte.client.elgaad.soap.CdaValue

-     public class CdaValue
      extends Object

  Angabemöglichkeit für einen HL7 Value (siehe Leitfaden). Mittels des Objektes CdaValue ist es möglich unterschiedliche HL7 Values mit ihren entsprechenden untergeordneten Parametern anzugeben (z.B. Angabe des Titers als Datentyp Ration mit numerator und denominator; Angabe eines Messwerts mit Datentyp PQ mit unit und value; ...).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CdaValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildReference[]` | `getChildren()` Verweis auf die Teilstrukturen dieses Werts (nur bei zusammengesetzten Werten).
    `String` | `getChildRole()` Beschreibt die Rolle einer Teilstruktur eines zusammengesetzten Werts (z.B. obere Grenze eines Intervalls, Codesystem eines Codes,...).
    `String` | `getComponentType()` Angabe des Werttyps für einfache (nicht zusammengesetzte) Werte (z.B.
    `String` | `getComponentValue()` Wert-Angabe für die HL7 Value Komponente.
    `String` | `getCompoundType()` Beschreibt die Art des Werts (z.B.
    `String` | `getNullFlavor()` NullFlavor Angabe für den HL7 Value.
    `String` | `getValueType()` Beschreibt den Werttyp (z.B.
    `void` | `setChildren(ChildReference[] children)`
    `void` | `setChildRole(String childRole)`
    `void` | `setComponentType(String componentType)`
    `void` | `setComponentValue(String componentValue)`
    `void` | `setCompoundType(String compoundType)`
    `void` | `setNullFlavor(String nullFlavor)`
    `void` | `setValueType(String valueType)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdaValue

          public CdaValue()

  - ### Method Detail

    - #### getValueType

          public String getValueType()

      Beschreibt den Werttyp (z.B. Intervall von Integers).
      Mögliche Werte: Siehe `HL7ValueTypeConstants`.
      Angabe: Muss.
      Returns:
        ValueType

    - #### setValueType

          public void setValueType(String valueType)

    - #### getCompoundType

          public String getCompoundType()

      Beschreibt die Art des Werts (z.B. Intervall, Verhältnis, Code...).
      Mögliche Werte: Siehe `HL7CompoundType`.
      Angabe: Muss.
      Returns:
        CompoundType

    - #### setCompoundType

          public void setCompoundType(String compoundType)

    - #### getChildRole

          public String getChildRole()

      Beschreibt die Rolle einer Teilstruktur eines zusammengesetzten Werts (z.B. obere Grenze eines Intervalls, Codesystem eines Codes,...).
      Mögliche Werte: Siehe `HL7ChildRoleType`.
      Angabe: Kann. Nur relevant bei Verwendung des CdaValue Objekts als Child.
      Returns:
        ChildRole

    - #### setChildRole

          public void setChildRole(String childRole)

    - #### getChildren

          public ChildReference[] getChildren()

      Verweis auf die Teilstrukturen dieses Werts (nur bei zusammengesetzten Werten). Siehe `ChildReference`.
      Angabe: Kann.
      Returns:
        Liste an ChildReferences

    - #### setChildren

          public void setChildren(ChildReference[] children)

    - #### getComponentType

          public String getComponentType()

      Angabe des Werttyps für einfache (nicht zusammengesetzte) Werte (z.B. Integer, String, Boolean...).
      Mögliche Werte: Siehe `HL7ComponentType`.
      Angabe: Muss.
      Returns:
        ComponentType

    - #### setComponentType

          public void setComponentType(String componentType)

    - #### getComponentValue

          public String getComponentValue()

      Wert-Angabe für die HL7 Value Komponente.
      Angabe: Muss.
      Returns:
        ComponentValue

    - #### setComponentValue

          public void setComponentValue(String componentValue)

    - #### getNullFlavor

          public String getNullFlavor()

      NullFlavor Angabe für den HL7 Value.
      Angabe: Kann.
      Returns:
        NullFlavor

    - #### setNullFlavor

          public void setNullFlavor(String nullFlavor)